> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kombo.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Rehire employee

> Rehire a former employee using values from the rehire form.

<Warning>**Closed Beta Feature:** This endpoint is now in closed beta. Please reach out to your account manager or [support](mailto:support@kombo.dev).</Warning>

First, [get the rehire form](/hris/v1/get-employees-employee-id-form-rehire). Send the required values in `properties`, using the field keys returned by GET.

<Note>
  This endpoint requires the permission **Create and manage employees** to be enabled in [your scope config](/scopes).
</Note>

### Example Request Body

```json theme={null}
{
  "staffing_entity_id": "4wPdBNLfMYBeXjNiQ5zKbStR",
  "properties": {
    "startDate": "2026-11-01",
    "jobTitle": "Lifeguard"
  }
}
```


## OpenAPI

````yaml POST /hris/employees/{employee_id}/form/rehire
openapi: 3.1.0
info:
  title: Kombo API
  version: 1.0.0
servers:
  - url: https://api.kombo.dev/v1
    description: Kombo EU API
  - url: https://api.us.kombo.dev/v1
    description: Kombo US API
  - url: https://api.ca.kombo.dev/v1
    description: Kombo CA API
security:
  - ApiKey: []
tags:
  - name: General
  - name: Kombo Connect
    description: >-
      Endpoints for Kombo Connect, our end-user-facing flow for setting up new
      integrations.
  - name: Unified HRIS API
    description: Unified endpoints to access all the HR concepts you might need.
  - name: Unified ATS API
    description: Unified endpoints to access all the ATS concepts you might need.
  - name: Unified ATS (Assessment & Background Check) API
    description: >-
      Unified endpoints to operate Assessments and Background Checks for many
      applicant tracking systems.
  - name: Unified LMS API
    description: Unified endpoints to access all the LMS concepts you might need.
  - name: AI Apply
    description: Endpoints for AI-powered job application features.
  - name: Custom Endpoints
    description: Custom integration-specific endpoints.
paths:
  /hris/employees/{employee_id}/form/rehire:
    post:
      tags:
        - Unified HRIS API
      summary: Rehire employee
      description: >-
        Rehire a former employee using values from the rehire form.




        <Warning>**Closed Beta Feature:** This endpoint is now in closed beta.
        Please reach out to your account manager or
        [support](mailto:support@kombo.dev).</Warning>




        First, [get the rehire
        form](/hris/v1/get-employees-employee-id-form-rehire). Send the required
        values in `properties`, using the field keys returned by GET.


        <Note>
          This endpoint requires the permission **Create and manage employees** to be enabled in [your scope config](/scopes).
        </Note>


        ### Example Request Body


        ```json

        {
          "staffing_entity_id": "4wPdBNLfMYBeXjNiQ5zKbStR",
          "properties": {
            "startDate": "2026-11-01",
            "jobTitle": "Lifeguard"
          }
        }

        ```
      operationId: PostHrisEmployeesEmployeeIdFormRehire
      parameters:
        - in: header
          name: X-Integration-Id
          schema:
            type: string
          description: ID of the integration you want to interact with.
          example: bamboohr:HWUTwvyx2wLoSUHphiWVrp28
          required: true
        - name: employee_id
          in: path
          required: true
          description: The Kombo ID or the HRIS ID of the employee.
          schema:
            $ref: >-
              #/components/schemas/PostHrisEmployeesEmployeeIdFormRehireParameterEmployeeId
          examples:
            example1:
              value: remote:12345
      requestBody:
        description: POST /hris/employees/:employee_id/form/rehire Request body
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/PostHrisEmployeesEmployeeIdFormRehireRequestBody
            examples:
              example1:
                value:
                  staffing_entity_id: 4wPdBNLfMYBeXjNiQ5zKbStR
                  properties:
                    startDate: '2026-11-01'
                    jobTitle: Lifeguard
      responses:
        '200':
          description: POST /hris/employees/:employee_id/form/rehire Positive response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/PostHrisEmployeesEmployeeIdFormRehirePositiveResponse
              examples:
                example1:
                  value:
                    status: success
                    data:
                      id: 26vafvWSRmbhNcxJYqjCzuJg
                      remote_id: '12345'
        default:
          $ref: '#/components/responses/ErrorResponseHRIS'
components:
  schemas:
    PostHrisEmployeesEmployeeIdFormRehireParameterEmployeeId:
      type: string
      description: The Kombo ID or the HRIS ID of the employee.
      examples:
        - remote:12345
    PostHrisEmployeesEmployeeIdFormRehireRequestBody:
      type: object
      properties:
        staffing_entity_id:
          type: string
          minLength: 24
          maxLength: 24
          pattern: ^[1-9A-HJ-NP-Za-km-z]+$
          description: >-
            The Kombo ID of the position or requisition to rehire into. If
            provided, use the same ID for GET and POST.
        properties:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/Schema4'
          description: Use the field keys returned by GET and include all required fields.
      required:
        - properties
    PostHrisEmployeesEmployeeIdFormRehirePositiveResponse:
      type: object
      properties:
        status:
          type: string
          const: success
        data:
          type: object
          properties:
            id:
              type: string
              description: The Kombo ID of the employee.
            remote_id:
              type: string
              description: The raw ID of the employee in the HRIS.
          required:
            - id
            - remote_id
          examples:
            - id: 26vafvWSRmbhNcxJYqjCzuJg
              remote_id: '12345'
      required:
        - status
        - data
    Schema4:
      oneOf:
        - type: string
        - type: number
          format: double
        - type: boolean
        - $ref: '#/components/schemas/Schema13'
        - $ref: '#/components/schemas/Schema14'
    Schema13:
      type: object
      additionalProperties:
        $ref: '#/components/schemas/Schema4'
    Schema14:
      type: array
      items:
        $ref: '#/components/schemas/Schema4'
  responses:
    ErrorResponseHRIS:
      description: The standard error response with the error codes for the HRIS use case.
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                enum:
                  - error
              error:
                type: object
                properties:
                  code:
                    type:
                      - string
                      - 'null'
                    enum:
                      - PLATFORM.RATE_LIMIT_EXCEEDED
                      - PLATFORM.CONCURRENCY_LIMIT_EXCEEDED
                      - PLATFORM.INTEGRATION_NOT_FOUND
                      - PLATFORM.INPUT_INVALID
                      - PLATFORM.UNKNOWN_ERROR
                      - PLATFORM.IP_NOT_WHITELISTED
                      - PLATFORM.AUTHENTICATION_INVALID
                      - PLATFORM.TASK_TIMED_OUT
                      - INTEGRATION.PERMISSION_MISSING
                      - INTEGRATION.AUTHENTICATION_INVALID
                      - INTEGRATION.QA_FAILED
                      - INTEGRATION.SETUP_SYNC_PENDING
                      - INTEGRATION.SETUP_INCOMPLETE
                      - INTEGRATION.INACTIVE
                      - INTEGRATION.MODEL_NOT_AVAILABLE
                      - INTEGRATION.MODEL_DISABLED
                      - INTEGRATION.ACTION_NOT_AVAILABLE
                      - INTEGRATION.ACTION_DISABLED
                      - REMOTE.SERVICE_UNAVAILABLE
                      - REMOTE.RATE_LIMIT_EXCEEDED
                      - REMOTE.INPUT_INVALID
                      - REMOTE.UNKNOWN_HTTP_ERROR
                      - HRIS.STAFFING_ENTITY_CLOSED
                      - HRIS.EMPLOYEE_ALREADY_EXISTS
                    example: HRIS.EMPLOYEE_ALREADY_EXISTS
                    description: >-
                      Some errors include an error code that can be used to
                      identify their cause. See the [Error Handling
                      Docs](https://docs.kombo.dev/guides/errors) for more
                      information. For your error handling logic please use the
                      error `code` instead of other properties (e.g. message,
                      http status code, ...).
                  title:
                    type:
                      - string
                      - 'null'
                    description: A static, human-readable label.
                  message:
                    type: string
                    description: >-
                      A dynamic, detailed description of what went wrong in this
                      specific instance.
                  log_url:
                    type:
                      - string
                      - 'null'
                    format: uri
                    description: >-
                      The log page in the Kombo UI lists every interaction with
                      full details. If you need assistance, share that link with
                      our support team.
                required:
                  - code
                  - title
                  - message
                  - log_url
                description: Error details with structured code for programmatic handling.
            required:
              - status
              - error
          examples:
            Error Response:
              description: >-
                When building error handling logic, always use the `code` field
                to identify specific error types programmatically. See the
                complete list of error codes in the
                [docs](https://docs.kombo.dev/guides/errors).
              value:
                status: error
                error:
                  code: INTEGRATION.MODEL_NOT_AVAILABLE
                  title: >-
                    This data model isn't supported for the selected
                    integration.
                  message: >-
                    The "employees" model is not yet available for Greenhouse.
                    Please reach out to Kombo if you need this functionality.
                  log_url: https://app.kombo.dev/my-prod/logs?interactionId=123456
            Minimal Error Response:
              description: >-
                The "message" is always required while other fields can also be
                `null`. See the [docs](https://docs.kombo.dev/guides/errors) for
                more information.
              value:
                status: error
                error:
                  code: null
                  title: null
                  message: The message is always in the response.
                  log_url: null
  securitySchemes:
    ApiKey:
      type: http
      scheme: bearer
      description: >-
        Create an API key on the [Secrets](https://app.kombo.dev/secrets) page
        in the Kombo dashboard.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.